Bug 1512890 - fmtools-tkradio requires deprecated /bin/env [NEEDINFO]
Summary: fmtools-tkradio requires deprecated /bin/env
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: fmtools
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Filipe Rosset
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: PY2FTBI F29FailsToInstall F30FailsToInstall F31FailsToInstall
TreeView+ depends on / blocked
 
Reported: 2017-11-14 12:04 UTC by Igor Gnatenko
Modified: 2019-05-10 02:21 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2019-04-27 21:26:35 UTC
ignatenko: needinfo? (rosset.filipe)
mhroncok: needinfo? (rosset.filipe)
mhroncok: needinfo? (rosset.filipe)


Attachments (Terms of Use)

Description Igor Gnatenko 2017-11-14 12:04:33 UTC
See https://lists.fedoraproject.org/archives/list/devel@lists.fedoraproject.org/thread/YKPCYY2JJOAQG67X4I6ZNYRHNYDCNQFL/ for more details.

[root@483ada140218 /]# rpm -q --filerequire fmtools-tkradio | grep -P "\t/bin/env"
/usr/bin/fmcontrol.py	/bin/env

Comment 1 Fedora End Of Life 2018-02-20 15:37:26 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 28 development cycle.
Changing version to '28'.

Comment 2 Igor Gnatenko 2018-06-24 15:35:09 UTC
ping?

Comment 3 Miro Hrončok 2019-02-09 00:04:53 UTC
Note that the shebang mangling script mangled this to /bin/python and the package is uninstallable in f29+. The script is fixed since to mangle this to /usr/bin/python on f29 yet it will FTBFS on f30. Fix the shebang manually please.

Comment 4 Miro Hrončok 2019-04-17 09:29:05 UTC
https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/


This package fails to install at least on Fedora 29 to Fedora 31.

$ mock -r fedora-rawhide-x86_64 init
$ mock -r fedora-rawhide-x86_64 install fmtools-tkradio
Problem: conflicting requests
 - nothing provides /bin/python needed by fmtools-tkradio-2.0.7-14.fc29.noarch

Please fix this.

Comment 5 Filipe Rosset 2019-04-17 13:16:18 UTC
I'll handle these bugs in next hours, thanks.

Comment 6 Fedora Update System 2019-04-18 03:54:37 UTC
fmtools-2.0.7-16.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-2d7ff15688

Comment 7 Fedora Update System 2019-04-18 03:54:47 UTC
fmtools-2.0.7-16.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-eb910fac27

Comment 8 Fedora Update System 2019-04-18 03:54:56 UTC
fmtools-2.0.7-16.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2019-3faa61c961

Comment 9 Fedora Update System 2019-04-18 18:24:48 UTC
fmtools-2.0.7-16.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-eb910fac27

Comment 10 Fedora Update System 2019-04-18 21:05:03 UTC
fmtools-2.0.7-16.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-3faa61c961

Comment 11 Fedora Update System 2019-04-18 22:13:22 UTC
fmtools-2.0.7-16.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-2d7ff15688

Comment 12 Fedora Update System 2019-04-27 21:26:35 UTC
fmtools-2.0.7-16.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2019-05-10 01:35:08 UTC
fmtools-2.0.7-16.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2019-05-10 02:21:57 UTC
fmtools-2.0.7-16.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.